Updates the db_info_data_db_report object with the specified key ///
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
db_info_data_db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| db_report_id |
Foreign key of the object using his Wello Guid Primary Key |
globally unique identifier |
Optionally required : db_report_id or db_report_reference_back_office must be provided |
| db_report_reference_back_office |
Foreign key of the object using ERP PK when adding/updating db_info_data |
string |
Optionally required : db_report_id or db_report_reference_back_office must be provided |
| db_info_field_id | globally unique identifier |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field_name | string |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field | db_info_field |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| value |
The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields) |
string |
Required |
| reference_back_office |
The Id/Ref of the back office for this object |
string |
Max length: 50 |
| sys_logical_delete |
sys_logical_delete |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "eb4380ae-1fa6-4e3d-9f15-b1b06cf09de5",
"db_report_id": "7c5f6f11-709b-4897-9830-aaa85e51d7b6",
"db_report_reference_back_office": "sample string 3",
"db_info_field_id": "c1f54e15-8db8-4c44-95d7-a4bfced0d498",
"db_info_field_name": "sample string 5",
"value": "sample string 6",
"reference_back_office": "sample string 7",
"sys_logical_delete": true,
"modified_dateutc": "2026-08-19T18:09:07.4564525+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.